# Cocoa macOS Examples [Objective-C]

List of repositories containing Cocoa examples for macOS written in Objective-C.

1. [Cocoa Speech Synthesizer](https://github.com/NikolaGrujic91/Cocoa-macOS-Speech-Synthesizer) - implementation of application that uses speech synthesizer (NSSpeechSynthesizer) and cell based table view (NSTableView).
2. [Cocoa Slider Binding](https://github.com/NikolaGrujic91/Cocoa-macOS-Slider-Binding) - implementation of two way binding of NSSlider with instance variable of the delegate object.
3. [Cocoa Table View](https://github.com/NikolaGrujic91/Cocoa-macOS-Table-View) - implementation of cell based Table View (NSTableView) where data source, delegate, column identifiers and column sort descriptors are set programmatically.
4. [Cocoa Undo Manager](https://github.com/NikolaGrujic91/Cocoa-macOS-Undo-Manager) - implementation of Undo Manager functionalities by extending Table View example.
5. [Cocoa Preferences Panel](https://github.com/NikolaGrujic91/Cocoa-macOS-Preferences-Panel) - implementation of Preferences Panel.
6. [Cocoa Notifications](https://github.com/NikolaGrujic91/Cocoa-macOS-Notifications) - implementation of Notifications by extending the Preferences Panel example.
7. [Cocoa Alert Panels](https://github.com/NikolaGrujic91/Cocoa-macOS-Alert-Panels) - implementation of Alert Panels.
8. [Cocoa Modal Window](https://github.com/NikolaGrujic91/Cocoa-macOS-Modal-Window) - implementation of Modal Window.
9. [Cocoa Mouse Events](https://github.com/NikolaGrujic91/Cocoa-macOS-Mouse-Events) - implementation of Mouse Events handlers in NSView.
10. [Cocoa Pasteboards](https://github.com/NikolaGrujic91/Cocoa-macOS-Pasteboards) - implementation of cut, copy and paste operations using pasteboards (NSPasteboard).
11. [Cocoa Drag and Drop for TableView](https://github.com/NikolaGrujic91/Cocoa-macOS-Drag-and-Drop-Table-View) - implementation of Drag and Drop functionalities for NSTableView.
12. [Cocoa Determinate Progress Bar](https://github.com/NikolaGrujic91/Cocoa-macOS-Determinate-Progress-Bar) - implementation of NSProgressIndicator which value is updated using NSTimer.
13. [Cocoa Web View](https://github.com/NikolaGrujic91/Cocoa-macOS-Web-View) -  implementation of simple web browser using WKWebView with support for go forward, go back and url validation.
14. [Cocoa Web View Load Local File](https://github.com/NikolaGrujic91/Cocoa-macOS-Web-View-Load-Local-File) - implementation of loading local .html file in WKWebView.
15. [Cocoa Web View JavaScript Communication](https://github.com/NikolaGrujic91/Cocoa-macOS-Web-View-JavaScript-Communication) - implementation of WKWebView calling methods from JavaScript, and JavaScript sending messages to WKWebView over WKScriptMessageHandler.
16. [Cocoa Outline View](https://github.com/NikolaGrujic91/Cocoa-macOS-Outline-View) - implementation of cell based NSOutlineView where data source and delegate are set programmatically.
17. [Cocoa Outline View with Checkbox](https://github.com/NikolaGrujic91/Cocoa-macOS-Outline-View-Checkbox) - implementation of view based NSOutlineView with checkbox cells and with data source and delegate set programmatically.
18. [Cocoa View Swapping](https://github.com/NikolaGrujic91/Cocoa-macOS-View-Swapping) - implementation of swapping NSView objects with animated transition.
19. [Cocoa Background Thread](https://github.com/NikolaGrujic91/Cocoa-macOS-Background-Thread) - implementation of background thread using Grand Central Dispatch (GCD).
20. [Cocoa Combo Box Autocomplete](https://github.com/NikolaGrujic91/Cocoa-macOS-Combo-Box-Autocomplete) - implementation of NSComboBox autocomplete feature.
21. [Cocoa Custom Views](https://github.com/NikolaGrujic91/Cocoa-macOS-Custom-Views) - implementation of multiple NSCustomViews in same window.